## GFilterInputStream GFilterInputStream — Filter Input Stream |

## Functions

GInputStream * | g_filter_input_stream_get_base_stream ()
gboolean | g_filter_input_stream_get_close_base_stream ()
void | g_filter_input_stream_set_close_base_stream ()

## Properties

GInputStream * | base-stream | Read / Write / Construct Only
gboolean | close-base-stream | Read / Write / Construct

## Types and Values

| GFilterInputStream

## Object Hierarchy

        GObject
        ╰── GInputStream
            ╰── GFilterInputStream
                ├── GBufferedInputStream
                ╰── GConverterInputStream

## Includes

    #include <gio/gio.h>

## Description

Base class for input stream implementations that perform some kind of filtering operation on a base stream. Typical examples of filtering operations are character set conversion, compression and byte order flipping.

## Functions

### g_filter_input_stream_get_base_stream ()

    GInputStream *
    g_filter_input_stream_get_base_stream (GFilterInputStream *stream);

Gets the base stream for the filter stream.

#### Parameters

stream | a GFilterInputStream. |

#### Returns

a GInputStream.

[transfer none]

### g_filter_input_stream_get_close_base_stream ()

    gboolean
    g_filter_input_stream_get_close_base_stream
                                   (GFilterInputStream *stream);

Returns whether the base stream will be closed when `stream` is closed.

#### Parameters

stream | a GFilterInputStream. |

#### Returns

`TRUE` if the base stream will be closed.

### g_filter_input_stream_set_close_base_stream ()

    void
    g_filter_input_stream_set_close_base_stream
                                   (GFilterInputStream *stream,
                                    gboolean close_base);

Sets whether the base stream will be closed when `stream` is closed.

#### Parameters

stream | a GFilterInputStream. |
close_base | `TRUE` to close the base stream. |

## Types and Values

### GFilterInputStream

    typedef struct _GFilterInputStream GFilterInputStream;

A base class for all input streams that work on an underlying stream.

## Property Details

### The `“base-stream”` property

      “base-stream”              GInputStream *

The underlying base stream on which the io ops will be done.

Flags: Read / Write / Construct Only

### The `“close-base-stream”` property

      “close-base-stream”        gboolean

If the base stream should be closed when the filter stream is closed.

Flags: Read / Write / Construct

Default value: TRUE